%define oname grande-KXL
%define name grande
%define version 0.6
%define release %mkrel 7

Summary: Grande arcade shooter
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Games/Arcade
Source: http://kxl.hn.org/download/%{oname}-%{version}.tar.gz
URL: http://kxl.hn.org
BuildRoot: %_tmppath//%{name}-%{version}-root
BuildRequires: KXL-devel >= 1.1.5

%description
Grande is a 2D vertical scrolling shooter. It reminds of classic arcade
or console games.


%prep

%setup -q -n %{oname}-%{version}

%build
%configure
%make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/var/games
%makeinstall_std
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%name
?package(%name):\
needs="x11"\
title="Grande-KXL"\
longtitle="Vertical scrolling arcade shooter"\
command="grande"\
section="More Applications/Games/Arcade"\
icon="arcade_section.png" xdg="true"
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Grande-KXL
Comment=Vertical scrolling arcade shooter
Exec=%{name}
Icon=arcade_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame;
EOF

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%{update_menus}
%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README
%{_bindir}/%name
%{_prefix}/games/%{name}
%_datadir/applications/mandriva-*
%attr(664,games,games) /var/games/%name.scores
%_menudir/%name

%changelog
* Mon Jul 31 2006 Gtz Waschk <waschk@mandriva.org> 0.6-7mdv2007.0
- xdg menu

* Tue Jul 26 2005 Gtz Waschk <waschk@mandriva.org> 0.6-5mdk
- rebuild for new KXL

* Sun Aug 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6-4mdk
- fix menu

* Mon Feb  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6-3mdk
- fix menu

* Fri Feb  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6-2mdk
- anniversary rebuild

* Sat Jan 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- initial Mandrake package

* Fri Jan 17 2003 SATO Katsuyoshi <ml@kxl.hn.org>
- (0.6-1)
- The joystick was supported.
- A device uses /dev/js0.
- Allotment of a button is performed on a setting screen.

* Mon Feb 18 2002 SATO Katsuyoshi <fc3srx7@mwnet.or.jp>
- (0.5-1)
- The special attack was canceled and the charge shot was added.
- A charge shot can be discharged by pushing a key, when the gauge currently displayed on the bottom of a screen collects.
- If a charge shot hits an enemy, a blast will be released on that spot and a damage will be given to the enemy of a blast within the limits.
- Moreover, chain explosion occurs and a damage can be given to a wide range enemy.

* Mon Feb 13 2002 SATO Katsuyoshi <fc3srx7@mwnet.or.jp>
- (0.4-1)
- The stage 4 was added.
- When the level of the main and asub took the same item at the time of the maximum, it was made to deliver a special attack.
- It stops having eliminated, when a superficium was destroyed and the destroyed picture was displayed.

* Mon Dec 24 2001 SATO Katsuyoshi <fc3srx7@mwnet.or.jp>
- (0.3-1)
- The stage 3 was added.
- When a boss was beaten, the bug into which mark did not go was corrected.

* Mon Dec 17 2001 SATO Katsuyoshi <fc3srx7@mwnet.or.jp>
- (0.2-1)
- It corresponded to FHS.
- data file is installed in %{prefix}/games/ and score file is installed in /var/games/.
- The background drawing of a stage 1 was changed.
- The stage 2 was added.
- The sub weapon was adjusted.
- The sub weapon was added.

* Wed Nov 29 2001 SATO Katsuyoshi <fc3srx7@mwnet.or.jp>
- (0.1-1)
- first build
